/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package dscviceni10a;

import java.util.Iterator;
import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;
import javax.persistence.TypedQuery;

/**
 *
 * @author lenka
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("DScviceni10aPU");
        EntityManager em = emf.createEntityManager();

        System.out.println();
        System.out.println("********************");
        System.out.println("*  Dynamic Queries *");
        System.out.println("********************");
        System.out.println();

        TypedQuery queryS = em.createQuery("Select s from Store s", Store.class);
        List<Store> listS = queryS.getResultList();

        for (Iterator<Store> itS = listS.iterator(); itS.hasNext();) {
            Store store = itS.next();
            System.out.println(store);
        }

        System.out.println();
        System.out.println("*******************");
        System.out.println("*  Named Queries  *");
        System.out.println("*******************");
        System.out.println();

        Query queryC = em.createNamedQuery(Employee.findByLastName);
        queryC.setParameter("lastName", "Smith");
        Long count = (Long)queryC.getSingleResult();
        System.out.println(count);

        System.out.println();
        System.out.println("******************");
        System.out.println("* Native Queries *");
        System.out.println("******************");
        System.out.println();

        Query queryN = em.createNativeQuery("SELECT first_name, last_name FROM Employee where last_name=?");
        queryN.setParameter(1, "Smith");
        List<Object[]> listN = queryN.getResultList();
        for (Iterator<Object[]> itN = listN.iterator(); itN.hasNext();) {
            Object[] obj = itN.next();
            System.out.println(obj[0] + " " + obj[1]);
        }
    }

}
